<?php
    require_once("../includes/clase_sesion.php");
    $sesion=new sesion(); // inicio la sesion
    require_once("../includes/MySQL.php");
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	
	$configuracion=$sesion->get('configuracion');
	$nombre_grupo=$configuracion['nombres_grupos'];
	$sede=$_GET['sede'];
	
	$jornada=$_GET['jornada']; 
	$dir=isset($_GET['dir']) ? (int)$_GET['dir'] : -1; 
	$wh=" cod_sede ='$sede'AND cod_jornada ='$jornada'";
	
	if($dir>0){
		$wh.=" AND cod_director='$dir' ";
	}	
	$cons="SELECT cod_grupo,nom_grado,ide_grado,cod_grado,nom_ape, $nombre_grupo as grupo
		FROM view_datos_grupos	WHERE ". $wh ." ORDER BY orden ,$nombre_grupo";
			
	
		
	echo $cons;
	$academia->instruccion($cons);
	$curso="";
	$ban=0;	
//	echo "<option value='0x'>$cons</option>";
//	echo "<option value='0x'>Seleccionar...</option>";
	while($reg=$academia->extraer_registro()){		
		
		if($curso!=$reg['cod_grado']){
			if($ban!=0){
				echo "</optgroup>";
				$ban=0;
			}
			echo "<optgroup id='".$reg['cod_grado']."' label='".$reg['nom_grado']."'>";
			$ban=1;
		}
		if(trim($reg['cod_grupo'])==trim($sel))
			echo "<option idgr='".$reg['cod_grado']."' value='".$reg['cod_grupo']."' grado='".$reg['nom_grado']. "' grupo='". $reg['grupo'] . "' dir='".$reg['director']. "' seccion='".$reg['seccion']."' selected='selected' id_grado='".$reg['ide_grado']."'>".$reg['grupo']."</option>";	
		else
			echo "<option idgr='".$reg['cod_grado']."' value='".$reg['cod_grupo']."' grado='".$reg['nom_grado']. "' grupo='". $reg['grupo'] . "' dir='".$reg['director']. "' seccion='".$reg['seccion']."' id_grado='".$reg['ide_grado']."'>".$reg['grupo']."</option>";		
		$curso=$reg['cod_grado'];
	}
	$academia->liberar();
	$academia->cerrar();
?>